Bug 124098 - dvdrecord apparently broken with FC2
dvdrecord apparently broken with FC2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 23:02 EDT by Adam Thompson
Modified: 2014-03-16 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 09:04:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Thompson 2004-05-23 23:02:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Epiphany/1.2.4

Description of problem:
dvdrecord doesn't seem to know how to deal with the new FC2
non-ide-scsi I/O layer.  As a direct result, it can't even see my
ATAPI burner, never mind burn to it successfully.

(plus: the component isn't called "dvdrtools" anymore, the RPM is
"dvdrecord"!)

(also: dvdrecord still thinks of itself as "cdrecord" - see the output
from #2, below)

(also: why do we still have both cdrecord patched for DVD support, AND
dvdrecord, shipping in FC2?)


Version-Release number of selected component (if applicable):
dvdrecord-0.1.4-5

How reproducible:
Always

Steps to Reproduce:
1. dvdrecord -scanbus
2. dvdrecord dev=/dev/hdc -checkdrive
3.
    

Actual Results:  from (1): 
dvdrtools v0.1.4
Portions (c) 2002-2003 Ark Linux <bero@arklinux.org>
Based on:
Cdrecord 1.11a15 (i386-redhat-linux-gnu) Copyright (C) 1995-2001
J&#65533;rg Schilling
dvdrecord: No such file or directory. Cannot open '/dev/pg*'. Cannot
open SCSI driver.
dvdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.


from (2):
dvdrtools v0.1.4
Portions (c) 2002-2003 Ark Linux <bero@arklinux.org>
Based on:
Cdrecord 1.11a15 (i386-redhat-linux-gnu) Copyright (C) 1995-2001
J&#65533;rg Schilling
scsidev: '/dev/hdc'
devname: '/dev/hdc'
scsibus: -2 target: -2 lun: -2
dvdrecord: Read-only file system. Cannot open '/dev/hdc'. Cannot open
SCSI driver.
dvdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.

Expected Results:  unsure...

Additional info:

out from cdrecord -scanbus:

Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Warning: Using badly designed ATAPI via /dev/hd* interface.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.80-RH '@(#)scsi-linux-sg.c       
1.80 04/03/08 Copyright 1997 J. Schilling').
scsibus1:
        1,0,0   100) 'PLEXTOR ' 'DVDR   PX-708A  ' '1.01' Removable CD-ROM
        1,1,0   101) *
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *
Comment 1 Harald Hoyer 2004-05-24 06:32:46 EDT
dvdrtools is obsoleted by the new cdrtools.
FC2 should have shipped dvdrtools-0.1.4-6
Comment 3 Dan Hollis 2004-07-16 16:12:25 EDT
I am not so sure dropping dvdrtools is wise. Joerg has been incredibly
hostile toward anyone trying to implement patches to cdrecord for dvd
recording.

Well, all you have to do is read his website to find what he thinks:
http://www.fokus.fhg.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html

"Both RedHat and SuSE publish bastardized and defective variants of
cdrtools in their distributions. If you have problems on RedHat or
SuSE systems, first fetch a recent original cdrtools source, compile
it yourself and run the original instead of broken software that
illegally claims to be cdrecord."

latest official dvdrtools is 0.1.5 and latest unofficial is 0.1.6

Note You need to log in before you can comment on or make changes to this bug.